<html>
<head>
<style>

.editable{
	background: #fff
}

</style>

<script type="text/javascript" src="jquery-1.10.2.js"></script>
<link rel="stylesheet" href="font-awesome-4.7.0/css/font-awesome.min.css">


<i class="overlay-edit-icon fa fa-pencil"></i>


</head>
<body>



  <label class="editable" data-type="text">f(x) = 2x^2 + 3</label>
  

  <script>
  $(".editable").on("click", function() {
	var text = $(this).text();
	alert(text);
  })
</script>


</body>

</html>